Shan Kumaraswamy wrote:
Rob,
How about RHDS 8.2? or I have to rebuild 389-ds against RHEL 6.0 beta?
RHDS 8.2 won't work either.  You'll have to use 389-ds-base 1.2.6 or later.


On Wed, Aug 11, 2010 at 5:38 PM, Rich Megginson <rmegg...@redhat.com <mailto:rmegg...@redhat.com>> wrote:

    Shan Kumaraswamy wrote:

        Rob,
        I am using RHDS (redhat-ds-base-devel >= 8.1.0)

    It will definitely not work with RHDS.

         On Wed, Aug 11, 2010 at 5:31 PM, Rob Crittenden
        <rcrit...@redhat.com <mailto:rcrit...@redhat.com>
        <mailto:rcrit...@redhat.com <mailto:rcrit...@redhat.com>>> wrote:

           Shan Kumaraswamy wrote:

               Hi Rob,
               I am trying to rebuild the free IPA V2 against RHEL 6.0
        beta and I
               installed all the build requirements as per the
        ipa.spec file.
               When I
               start the build it ends with bad error:
               ipa_repl_version.o
               ipa_repl_version.c:39:33: error: repl-session-plugin.h: No
               such file or
               directory
               ipa_repl_version.c: In function
        'repl_version_plugin_start':
               ipa_repl_version.c:152: warning: format '%llu' expects type
               'long long
               unsigned int', but argument 2 has type 'long int'
               ipa_repl_version.c: In function
        'repl_version_plugin_close':
               ipa_repl_version.c:165: error: 'REPL_SESSION_v1_0_GUID'
        undeclared
               (first use in this function)
               ipa_repl_version.c:165: error: (Each undeclared
        identifier is
               reported
               only once
               ipa_repl_version.c:165: error: for each function it
        appears in.)
               ipa_repl_version.c: In function 'repl_version_plugin_init':
               ipa_repl_version.c:193: error: 'REPL_SESSION_v1_0_GUID'
        undeclared
               (first use in this function)
               make[4]: *** [ipa_repl_version.lo] Error 1
               make[4]: Leaving directory
`/root/rpmbuild/BUILD/freeipa-1.9.0.pre4/daemons/ipa-slapi-plugins/ipa-version'
               make[3]: *** [all-recursive] Error 1
               make[3]: Leaving directory
`/root/rpmbuild/BUILD/freeipa-1.9.0.pre4/daemons/ipa-slapi-plugins'
               make[2]: *** [all-recursive] Error 1
               make[2]: Leaving directory
               `/root/rpmbuild/BUILD/freeipa-1.9.0.pre4/daemons'
               make[1]: *** [all] Error 2
               make[1]: Leaving directory
               `/root/rpmbuild/BUILD/freeipa-1.9.0.pre4/daemons'
               make: *** [all] Error 1
               error: Bad exit status from /var/tmp/rpm-tmp.3IIIgS
        (%build)

               RPM build errors:
                   Bad exit status from /var/tmp/rpm-tmp.3IIIgS (%build)
               Please advice me what went worng?


           You need a newer version of 389-ds. A release candidate to be
           exact. 389-ds-base 1.2.6.rc7 is the latest.

           rob




-- Thanks & Regards
        Shan Kumaraswamy

        ------------------------------------------------------------------------



        _______________________________________________
        Freeipa-users mailing list
        Freeipa-users@redhat.com <mailto:Freeipa-users@redhat.com>
        https://www.redhat.com/mailman/listinfo/freeipa-users





--
Thanks & Regards
Shan Kumaraswamy


_______________________________________________
Freeipa-users mailing list
Freeipa-users@redhat.com
https://www.redhat.com/mailman/listinfo/freeipa-users

Reply via email to